import { StorageKeys as e } from "../../types/cache.types.mjs";
import "../../types/index.mjs";
import { ActivityStorage as t } from "./activity-db.mjs";
import { get as n, update as r } from "idb-keyval";
var i = new class extends t {
	async savePrivateSendTx(t) {
		let n = this.generateTxId(), i = {
			timestamp: /* @__PURE__ */ new Date(),
			...t
		};
		return await r(e.TX_ACTIVITY, (e = {}) => (e[n] = i, e)), n;
	}
	async saveMultiplePrivateSendTxs(e) {
		let t = e.map((e) => this.savePrivateSendTx(e));
		return Promise.all(t);
	}
	async getTransactionRecords() {
		return await n(e.TX_ACTIVITY) || [];
	}
}();
//#endregion
export { i as payActivityStorage };
